POST /launcher/get-message-channels
Retrieve all message channels for the user

Header Parameters

X-Request-Nonce string optional header
Random string identifier for request (for signature verification)
X-Request-Signature string optional header
MD5 hash for request verification

Request Body required

application/json
launcherJwt string REQUIRED
limit integer
skip integer

Responses

200 Successful response
application/json
total integer
limit integer
skip integer
data object[]
Array of:
_id string
name string
chatPicture string
createdAt integer (int64)
updatedAt integer (int64)
participants object[]
Array of:
wallet string
userGroup integer
permissions string[]
Array of:
gameId string
400 Bad Request
401 Unauthorized
curl -X POST 'https://api.basement.fun/launcher/get-message-channels' \  -H 'Content-Type: application/json' \  -d '{  "launcherJwt": "string",  "limit": 20,  "skip": 0}'
const response = await fetch('https://api.basement.fun/launcher/get-message-channels', {  method: 'POST',  headers: {      "Content-Type": "application/json"  },  body: JSON.stringify({    "launcherJwt": "string",    "limit": 20,    "skip": 0  })});const data = await response.json();console.log(data);
import requestsresponse = requests.post('https://api.basement.fun/launcher/get-message-channels', json={  "launcherJwt": "string",  "limit": 20,  "skip": 0})print(response.json())
200 Response
{  "total": 123,  "limit": 123,  "skip": 123,  "data": [    {      "_id": "<string>",      "name": "<string>",      "chatPicture": "<string>",      "createdAt": 123,      "updatedAt": 123,      "participants": [        {          "wallet": "<string>",          "userGroup": 123,          "permissions": [            {}          ]        }      ],      "gameId": "<string>"    }  ]}
Ask a question... ⌘I